Bug 1575676 - Review Request: python3-exiv2 - Python3 bindings for the exiv2 library
Summary: Review Request: python3-exiv2 - Python3 bindings for the exiv2 library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabiano Fidêncio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 15:15 UTC by Andreas Schneider
Modified: 2018-05-19 02:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 02:00:45 UTC
Type: ---
fidencio: fedora-review+


Attachments (Terms of Use)

Description Andreas Schneider 2018-05-07 15:15:05 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python3-exiv2/python3-exiv2.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python3-exiv2/python3-exiv2-0.2.1-1.src.rpm
Description:
python3-exiv2 is a Python 3 binding to exiv2, the C++ library for manipulation
of EXIF, IPTC and XMP image metadata. It is a python 3 module that allows your
scripts to read and write metadata (EXIF, IPTC, XMP, thumbnails) embedded in
image files (JPEG, TIFF, ...).

It is designed as a high-level interface to the functionalities offered by
libexiv2. Using python’s built-in data types and standard modules, it provides
easy manipulation of image metadata.

Fedora Account System Username: asn

Comment 1 Fabiano Fidêncio 2018-05-07 17:14:26 UTC
Andreas,

fedora-review found some issues and you can check the full results at: https://fidencio.fedorapeople.org/1575676-python3-exiv2/

Summing up:
- Seems that gcc-c++ is not required as a BuildRequires
- I do believe the license should be GPLv2+ instead of GPLv3+
- Seems that there is an unversioned so file: python3-exiv2: /usr/lib64/python3.6/site-packages/libexiv2python.cpython-36m-x86_64-linux-gnu.so

There were also some rpmlint issues, but those were false positives.

Please, let me know when you update the files and I'll re-run fedora-review.

Comment 2 Andreas Schneider 2018-05-07 18:03:15 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python3-exiv2/python3-exiv2.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python3-exiv2/python3-exiv2-0.2.1-2.src.rpm

I've removed gcc-c++
I've change the licsens to: GPLv2+ and GPLv3+

For the unversioned file complained, I don't see any of the files in this dir to be versioned. See e.g.

krikkit:~ # ll /usr/lib64/python3.6/site-packages/libiscsi.cpython-36m-x86_64-linux-gnu.so                                                                               
-rwxr-xr-x 1 root root 21768 Feb  8 01:41 /usr/lib64/python3.6/site-packages/libiscsi.cpython-36m-x86_64-linux-gnu.so

Comment 3 Fabiano Fidêncio 2018-05-07 19:51:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Dist tag is present.
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-exiv2-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-exiv2-0.2.1-1.x86_64.rpm
          python3-exiv2-debuginfo-0.2.1-1.x86_64.rpm
          python3-exiv2-0.2.1-1.src.rpm
python3-exiv2.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
python3-exiv2.src: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python3-exiv2-debuginfo-0.2.1-1.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-exiv2.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
python3-exiv2.x86_64: W: invalid-url URL: https://launchpad.net/py3exiv2 <urlopen error [Errno -2] Name or service not known>
python3-exiv2-debuginfo.x86_64: W: invalid-url URL: https://launchpad.net/py3exiv2 <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python3-exiv2 (rpmlib, GLIBC filtered):
    libboost_python3.so.1.63.0()(64bit)
    libc.so.6()(64bit)
    libexiv2.so.14()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)

python3-exiv2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python3-exiv2:
    libexiv2python.cpython-36m-x86_64-linux-gnu.so()(64bit)
    python3-exiv2
    python3-exiv2(x86-64)
    python3.6dist(py3exiv2)
    python3dist(py3exiv2)

python3-exiv2-debuginfo:
    python3-exiv2-debuginfo
    python3-exiv2-debuginfo(x86-64)



Unversioned so-files
--------------------
python3-exiv2: /usr/lib64/python3.6/site-packages/libexiv2python.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/py3exiv2/py3exiv2-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 28bbc0b5b84af23cc1d305aef7bcfb9146b3ba1be9571b4c968315e031ad071b
  CHECKSUM(SHA256) upstream package : 28bbc0b5b84af23cc1d305aef7bcfb9146b3ba1be9571b4c968315e031ad071b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1575676
Buildroot used: fedora-26-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Fabiano Fidêncio 2018-05-07 19:57:08 UTC
Ops, that was the review for the first version.

For the second version, there's still one thing missing, please, add: %{?dist} to your Release as in:
Release: 2%{?dist}

Once it's done I'll re-review the package (but, pretty much, it's good to go).

Comment 6 Fabiano Fidêncio 2018-05-08 06:49:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-exiv2-0.2.1-3.fc26.x86_64.rpm
          python3-exiv2-debuginfo-0.2.1-3.fc26.x86_64.rpm
          python3-exiv2-0.2.1-3.fc26.src.rpm
python3-exiv2.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
python3-exiv2.src: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python3-exiv2-debuginfo-0.2.1-3.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-exiv2.x86_64: W: spelling-error %description -l en_US functionalities -> functionalists, functionality, functionalist
python3-exiv2.x86_64: W: invalid-url URL: https://launchpad.net/py3exiv2 <urlopen error [Errno -2] Name or service not known>
python3-exiv2-debuginfo.x86_64: W: invalid-url URL: https://launchpad.net/py3exiv2 <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python3-exiv2 (rpmlib, GLIBC filtered):
    libboost_python3.so.1.63.0()(64bit)
    libc.so.6()(64bit)
    libexiv2.so.14()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.6m.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    python(abi)
    rtld(GNU_HASH)

python3-exiv2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
python3-exiv2:
    libexiv2python.cpython-36m-x86_64-linux-gnu.so()(64bit)
    python3-exiv2
    python3-exiv2(x86-64)
    python3.6dist(py3exiv2)
    python3dist(py3exiv2)

python3-exiv2-debuginfo:
    python3-exiv2-debuginfo
    python3-exiv2-debuginfo(x86-64)



Unversioned so-files
--------------------
python3-exiv2: /usr/lib64/python3.6/site-packages/libexiv2python.cpython-36m-x86_64-linux-gnu.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/py3exiv2/py3exiv2-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 28bbc0b5b84af23cc1d305aef7bcfb9146b3ba1be9571b4c968315e031ad071b
  CHECKSUM(SHA256) upstream package : 28bbc0b5b84af23cc1d305aef7bcfb9146b3ba1be9571b4c968315e031ad071b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1575676
Buildroot used: fedora-26-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Gwyn Ciesla 2018-05-08 12:53:06 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python3-exiv2

Comment 8 Fedora Update System 2018-05-08 17:05:09 UTC
python3-exiv2-0.2.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5adf6c698

Comment 9 Fedora Update System 2018-05-10 01:29:29 UTC
python3-exiv2-0.2.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5adf6c698

Comment 10 Fedora Update System 2018-05-19 02:00:45 UTC
python3-exiv2-0.2.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.